Page MenuHomePhabricator

[betalabs-minor] SD pages display warning: "Your skin is incompatible with VisualEditor."
Closed, ResolvedPublic

Description

  1. In betalabs with Vector (or Minerva) skin go to SD page and start editing.
  2. The Console will display:
Your skin is incompatible with VisualEditor. See <https://www.mediawiki.org/wiki/VisualEditor/Skin_requirements> for the requirements.

Functionality is not affected.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2018, 11:24 PM

Looks like DesktopArticleTarget is getting loaded - that isn't right...

Esanders added a subscriber: Catrope.EditedFeb 1 2018, 5:50 PM

bisect blames https://gerrit.wikimedia.org/r/#/c/405046/ by @Catrope, which is tricking DesktopArticleTarget.init into thinking the page is an article.

Esanders added a comment.EditedFeb 1 2018, 5:55 PM

Specifically it sets wgIsArticle to true so that this check passes:

if ( $out->isArticle() && $title->exists() ) {
    ...
    $tpl->set( 'copyright', $this->getCopyright() );
}

I think we should introduce a new method $out->showsCopyright(), that defaults to isArticle, but is overridden in Flow.

Change 407500 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Revert "Add copyright footer to all pages that need it"

https://gerrit.wikimedia.org/r/407500

Change 407500 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Revert "Add copyright footer to all pages that need it"

https://gerrit.wikimedia.org/r/407500

Esanders closed this task as Resolved.Feb 2 2018, 8:38 PM
Esanders claimed this task.